summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin257776 -> 257793 bytes
-rw-r--r--dev-python/PyQt6/Manifest2
-rw-r--r--dev-python/PyQt6/PyQt6-6.4.2.ebuild145
-rw-r--r--dev-python/openapi-spec-validator/Manifest2
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.5.5.ebuild56
-rw-r--r--dev-python/quantities/Manifest2
-rw-r--r--dev-python/quantities/quantities-0.14.0.ebuild36
-rw-r--r--dev-python/starlette/Manifest2
-rw-r--r--dev-python/starlette/starlette-0.24.0.ebuild49
-rw-r--r--dev-python/sure/Manifest2
-rw-r--r--dev-python/sure/sure-2.0.1.ebuild37
-rw-r--r--dev-python/translate-toolkit/Manifest2
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.8.4.ebuild98
-rw-r--r--dev-python/xmlschema/Manifest2
-rw-r--r--dev-python/xmlschema/xmlschema-2.2.0.ebuild38
15 files changed, 473 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index e824ed076c14..34dc3e400336 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/PyQt6/Manifest b/dev-python/PyQt6/Manifest
index ea23f246cd3f..a89ddf81e6f7 100644
--- a/dev-python/PyQt6/Manifest
+++ b/dev-python/PyQt6/Manifest
@@ -1,3 +1,5 @@
DIST PyQt6-6.4.1.tar.gz 1025522 BLAKE2B 17a5f5f4dba5b06729d4a0f9b2964c5632be5bed1da67fe1a90a9d91ba63bc10a83012fc6e8ca5306238d1dc55a3d10ff08c84eed6b369d0c98ac7281e28d2b0 SHA512 860dea8878a81acdefee164f766ba850481b1f4258ebff95fc3cedcbcf15e832799cd2e62d3b2bf83a743879bcb7efdc70109229c83205b649357fdf918864cb
+DIST PyQt6-6.4.2.tar.gz 1025595 BLAKE2B c39f94b934794c40efbda39fb5ccffab81cadcdbeaa5bcc6eff0ca4317576a2d251fd8e9f65de73026e927f547c35ff6cdac0d436d777537622cc6d35a92c112 SHA512 51e5f0d028ee7984876da1653cb135d61e2c402f18b939a92477888cc7c86d3bc2889477403dee6b3d9f66519ee3236d344323493b4c2c2e658e1637b10e53bf
EBUILD PyQt6-6.4.1.ebuild 4500 BLAKE2B 4a2daeb29d55775047883c50cfa909f39fb81c1edddddd58d68cfb7c2241f94487f99e001c722c74d3db83c97ffa1b402238363b6be4a640ef5865f85ead75c2 SHA512 7312160a028b3c99bd84fc65fb0553c67f041b677821c0e9eedae0ccb02a42d075f8032021cbd8b97a5fe19a7671419b4a910b3c2c80151604a1e8d2ce717059
+EBUILD PyQt6-6.4.2.ebuild 4500 BLAKE2B 4a2daeb29d55775047883c50cfa909f39fb81c1edddddd58d68cfb7c2241f94487f99e001c722c74d3db83c97ffa1b402238363b6be4a640ef5865f85ead75c2 SHA512 7312160a028b3c99bd84fc65fb0553c67f041b677821c0e9eedae0ccb02a42d075f8032021cbd8b97a5fe19a7671419b4a910b3c2c80151604a1e8d2ce717059
MISC metadata.xml 1915 BLAKE2B b4ca171871165e02fbc54d7931a52da3a70415b4acf5f85b23459d6949c7a720b68fbddba1a5c22d4d8b90e16faa7f628cb088cc93eb9f1db05da15d33967b1b SHA512 32671e148db535c25b9bf1dd48f945d3ddd74e9df86014af2beb92dccb8d49289e778a1ba38c57cc61dabab88528057ab1aa57ee48b95b80aa1254b1c765772b
diff --git a/dev-python/PyQt6/PyQt6-6.4.2.ebuild b/dev-python/PyQt6/PyQt6-6.4.2.ebuild
new file mode 100644
index 000000000000..2e10cf119914
--- /dev/null
+++ b/dev-python/PyQt6/PyQt6-6.4.2.ebuild
@@ -0,0 +1,145 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=sip
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1 flag-o-matic multiprocessing qmake-utils
+
+# 'can' work with older Qt depending on features, but keeping it simple
+QT_PV="$(ver_cut 1-2):6"
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+# defaults match what is provided with qtbase by default (except testlib),
+# reduces the need to set flags but does increase build time a fair amount
+IUSE="
+ +dbus debug qml designer examples gles2-only +gui help multimedia
+ +network opengl positioning +printsupport quick quick3d serialport
+ +sql +ssl svg testlib webchannel websockets +widgets +xml"
+# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
+REQUIRED_USE="
+ designer? ( gui widgets )
+ help? ( gui widgets )
+ multimedia? ( gui network )
+ opengl? ( gui )
+ printsupport? ( gui widgets )
+ qml? ( network )
+ quick3d? ( gui qml )
+ quick? ( gui qml )
+ sql? ( widgets )
+ svg? ( gui )
+ testlib? ( gui widgets )
+ webchannel? ( network )
+ websockets? ( network )
+ widgets? ( gui )"
+
+DEPEND="
+ >=dev-qt/qtbase-${QT_PV}[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ sys-apps/dbus
+ )
+ designer? ( >=dev-qt/qttools-${QT_PV}[designer] )
+ help? ( >=dev-qt/qttools-${QT_PV}[assistant] )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ qml? ( >=dev-qt/qtdeclarative-${QT_PV} )
+ quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/PyQt6-sip-13.4[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/PyQt-builder-1.11[${PYTHON_USEDEP}]
+ >=dev-qt/qtbase-${QT_PV}
+ sys-devel/gcc
+ dbus? ( virtual/pkgconfig )"
+
+src_prepare() {
+ default
+
+ # hack: qmake queries g++ directly for info (not building) and that doesn't
+ # work with clang, this is to make it at least respect CHOST (bug #726112)
+ mkdir "${T}"/cxx || die
+ ln -s "$(type -P ${CHOST}-g++ || type -P g++ || die)" "${T}"/cxx/g++ || die
+ PATH=${T}/cxx:${PATH}
+}
+
+src_configure() {
+ append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug #892331)
+
+ pyqt-use_enable() {
+ local state=$(usex ${1} --enable= --disable=)
+ shift
+ echo ${*/#/${state}}
+ }
+
+ DISTUTILS_ARGS=(
+ --jobs=$(makeopts_jobs)
+ --qmake="$(type -P qmake6 || die)"
+ --qmake-setting="$(qt5_get_qmake_args)"
+ --verbose
+ --confirm-license
+
+ # TODO: enable more as new qt6 packages get added
+ --disable=QAxContainer
+ --disable=QtBluetooth
+ --enable=QtCore
+ $(pyqt-use_enable dbus QtDBus)
+ $(pyqt-use_enable designer QtDesigner)
+ $(pyqt-use_enable help QtHelp)
+ $(pyqt-use_enable gui QtGui)
+ #--disable=QtLocation # force-disabled in project.py
+ $(pyqt-use_enable multimedia QtMultimedia \
+ $(usev widgets QtMultimediaWidgets))
+ $(pyqt-use_enable network QtNetwork)
+ --disable=QtNfc
+ $(pyqt-use_enable opengl QtOpenGL \
+ $(usev widgets QtOpenGLWidgets))
+ --disable=QtPdf #+QtPdfWidgets (QtPdf is disabled in qtwebengine:6)
+ $(pyqt-use_enable positioning QtPositioning)
+ $(pyqt-use_enable printsupport QtPrintSupport)
+ $(pyqt-use_enable qml QtQml)
+ $(pyqt-use_enable quick QtQuick \
+ $(usev widgets QtQuickWidgets))
+ $(pyqt-use_enable quick3d QtQuick3D)
+ --disable=QtRemoteObjects
+ --disable=QtSensors
+ $(pyqt-use_enable serialport QtSerialPort)
+ $(pyqt-use_enable sql QtSql)
+ $(pyqt-use_enable svg QtSvg \
+ $(usev widgets QtSvgWidgets))
+ $(pyqt-use_enable testlib QtTest)
+ --disable=QtTextToSpeech
+ $(pyqt-use_enable webchannel QtWebChannel)
+ $(pyqt-use_enable websockets QtWebSockets)
+ $(pyqt-use_enable widgets QtWidgets)
+ $(pyqt-use_enable xml QtXml)
+
+ $(usev debug '--debug --qml-debug --tracing')
+
+ $(usev !dbus --no-dbus-python)
+ # TODO?: plugins not in wheels by upstream, see project.py#L215
+ # (if needed by something, will need to be added to python_install)
+ $(usev !designer --no-designer-plugin)
+ $(usev !qml --no-qml-plugin)
+
+ $(usev !gles2-only --disabled-feature=PyQt_OpenGL_ES2)
+ $(usev !ssl --disabled-feature=PyQt_SSL)
+ )
+}
+
+python_install_all() {
+ einstalldocs
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index bef7526c2ff4..31c3af3da5d5 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -4,9 +4,11 @@ DIST openapi-spec-validator-0.5.1.gh.tar.gz 39539 BLAKE2B 66adbed2c85527f89e510d
DIST openapi-spec-validator-0.5.2.gh.tar.gz 39743 BLAKE2B 92a4c4503add68c2683f4229f7b68b7cf98d38f36f3c03835b03be5e2a1092ebbb46a9f8d09bfb9e3cf7059a2a72ff01b81742986d479c2713dc6ef783718e00 SHA512 68f7d507a239c555575e2edb3bab576fd1fede9bcebde48c57361e3e764c9c19c4dc0d63e650851c2f6e7f2dd7f4efcdcd028842e259aa9e341823cd052a6e20
DIST openapi-spec-validator-0.5.3.gh.tar.gz 57006 BLAKE2B 0b92de74c3615789de5bb78340f75b5833172020aa8da987dd129ad24a339e93851d7830f9eb0be192af5cd35120bd5ec9601140e6edc964d5577950ac968bf5 SHA512 ef197f7bd05bcc7523a5b8992b602d5a7ea8c9cabe2166889d41ad764d2f96d7a90cbc11c247d7c33a33747cb2e6667bcbd279260d1bfc394769ef5fd1c19b25
DIST openapi-spec-validator-0.5.4.gh.tar.gz 57072 BLAKE2B d314fb62a106204fb706193c60b869a49d4e81a92d40ac73bd2f0b1cd01c7d6188f22e2299301974d1a90ec4d2a8e92f9895ab0643b6768f27230588fcac803d SHA512 234d5f284f71448f47cb82584ba8601c0bae13d85daad3452aae0c33d9e26d1e541bd96a17e9de33dbad1a7ebea0c362eced61497424c502a666075dd02bce33
+DIST openapi-spec-validator-0.5.5.gh.tar.gz 57200 BLAKE2B 037566130546d2cc894dd12e0fc0d80fe9631f94085ec286a61ea810c58b48cd7837cc044388773798a7684fa4d73bb89eed643a164280433c1cd8d6a9cd42cc SHA512 4b5415216e74937a0c6f527850921f362a3183119a641d4d369cbf3e6aa19209ec7d8ff05697eed7dcd1ee6d0e8fbcc9cb8aaa0e3eb46e4da34bc7a0a4b78c00
EBUILD openapi-spec-validator-0.4.0.ebuild 1508 BLAKE2B 42b175e0f90f61a90ee0ae951b929681eda31fe0656f958e75261306cea966afc02c63402e87c994498bb68ff23281f5bd212ceb22bad4141ac01fd70ef8a3c4 SHA512 91ee5a08e49123712c00d75c8d26af2e385c3ce11b9b49227e6f671652bd962944f3c7058324c9658b877db9bad1b4bae6d933d401e8d2a80aaa59ce77db3309
EBUILD openapi-spec-validator-0.5.1.ebuild 2012 BLAKE2B dbc22961b84ecf0eeeca9c6181d13b8155ef652d59d38a78c0d297795401bfb8507eda89cf9c7e0b8c0623c6a2fa75905ad80fdf217798ffddc0591a07d9f8b5 SHA512 768af811a17d3d52255aef2d7d23d978f80356f8d4b3eb664ec7cf84b9873275d085d9528c698ec986ef6bd4d801ea6a6ed3c3be5eb2aeb0097e41724f508b8d
EBUILD openapi-spec-validator-0.5.2.ebuild 1821 BLAKE2B ae8e47b9b5f3c3b791feddc94429fa0d4c09d94f7c25d2f3c6d0ea188cbb115eef07d6b9d449bf8db4ddc8971a9156eaedc62ed7f01942617f9589367a654ba4 SHA512 78a0f0588110e9e862432fe26580412d3527680f8a2201298a121a356968fbe28f63df9220be25f8f078218b78bef246172b6938fdcd2ef717fcfe538bad95d0
EBUILD openapi-spec-validator-0.5.3.ebuild 1821 BLAKE2B ae8e47b9b5f3c3b791feddc94429fa0d4c09d94f7c25d2f3c6d0ea188cbb115eef07d6b9d449bf8db4ddc8971a9156eaedc62ed7f01942617f9589367a654ba4 SHA512 78a0f0588110e9e862432fe26580412d3527680f8a2201298a121a356968fbe28f63df9220be25f8f078218b78bef246172b6938fdcd2ef717fcfe538bad95d0
EBUILD openapi-spec-validator-0.5.4.ebuild 1821 BLAKE2B ae8e47b9b5f3c3b791feddc94429fa0d4c09d94f7c25d2f3c6d0ea188cbb115eef07d6b9d449bf8db4ddc8971a9156eaedc62ed7f01942617f9589367a654ba4 SHA512 78a0f0588110e9e862432fe26580412d3527680f8a2201298a121a356968fbe28f63df9220be25f8f078218b78bef246172b6938fdcd2ef717fcfe538bad95d0
+EBUILD openapi-spec-validator-0.5.5.ebuild 1821 BLAKE2B ae8e47b9b5f3c3b791feddc94429fa0d4c09d94f7c25d2f3c6d0ea188cbb115eef07d6b9d449bf8db4ddc8971a9156eaedc62ed7f01942617f9589367a654ba4 SHA512 78a0f0588110e9e862432fe26580412d3527680f8a2201298a121a356968fbe28f63df9220be25f8f078218b78bef246172b6938fdcd2ef717fcfe538bad95d0
MISC metadata.xml 372 BLAKE2B 6b08d5f1a63e2ddf4c0f1ab8479a18109231211c82a2a1178a9e1d0775ad0fd5811580c3b2175137ec135b6c8d8ad0e0d728d79da98c092fd87fc604c7cc8a4f SHA512 4fe628abc1481b9dd5874dd5efaaefa5f1adf24e2e58183d2ca75677680077a443702887bb21c67049df998052dc6afae590ac9197b6edb87cc10c126ae22345
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.5.5.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.5.5.ebuild
new file mode 100644
index 000000000000..5951fb69acfe
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.5.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/p1c2u/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+SRC_URI="
+ https://github.com/p1c2u/openapi-spec-validator/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-spec-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ <dev-python/openapi-schema-validator-0.5[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/quantities/Manifest b/dev-python/quantities/Manifest
index 3884bd85aa4e..a5225648a4af 100644
--- a/dev-python/quantities/Manifest
+++ b/dev-python/quantities/Manifest
@@ -1,4 +1,6 @@
AUX quantities-0.13.0-numpy.patch 2382 BLAKE2B b129afeac02154cd3e81d5c1099f637b610ec37210b5b5342cb35c3218316b7c848b5b0a78c35b7f197d76ce6d9ee1a56ee2319fa825ca3d3a953efb27d4853a SHA512 936aca8312de80f9c03ba08aa6dbb43527bb540bba18924551baacd2a861651b2d6923c5899adc21d555da6c11229d11b5ffe253d47e05023cf2e2efcc773837
DIST python-quantities-0.13.0.gh.tar.gz 107178 BLAKE2B f5fe69ed1d82bc90620a1cabf4c68f676330a2b09e8590bedf48ee8c46e3176d57e0dc6374d1112377056cd1138553d92f0bcaf0a68e2600e3631226e2262afc SHA512 d108b0f5bd834aeb7443693175d54b2b01fa9110cc57f0356681374ce95b5f57e39253d9c8166365aabc379f2f26bba3a827689ceb6c45595345e140b4cd7ad3
+DIST python-quantities-0.14.0.gh.tar.gz 84115 BLAKE2B 549ac64583ebac9a68069e678ee82ac3d9d4462dee4ebffe631c0c20d0819996b0172ceb2cb276aae52ad4dc963e3bfad8f6082d98b90bf6f94c27f807d91565 SHA512 78696938c10e613e1fd6f98f9158d51ec4e86928f9833b73321cde776d77735c119af854aaaff5542093175cd105a33266fba16b31b9e04b51c7f14f648b1e19
EBUILD quantities-0.13.0-r2.ebuild 723 BLAKE2B 9a84c8531737d5ae7ee4f1db414aa9deeb567db3866fbaa769d2ea6c1c9e11c128648b202441a4ba3907d1a76db93d201e79e01e9fa96b9b9f472763c4d45fd4 SHA512 1884fd5a3deec6ed8f4f04d396a98125fd9f1b9e3ee554a35874083548a53a2bd8a78ddac6fbd77d2a0bfb2abb9eb17a02f7f3efeb79a90677d9bfa0b8207e07
+EBUILD quantities-0.14.0.ebuild 782 BLAKE2B 5f0da6ea8a1a035d1228a24bb89411178e5eef54833c2e68b4f9bbfe83e4de145a6c8320fb6fe75db7baa5fc990abccf975a3d431c8d39fc11fff7a1f230020a SHA512 54a3020f5978665b1d32a2d06876b8ae070bc69940f082a9aa881bb05415796de9d907522a505b66ed8bc693f2a2e58154db2fdfe1e1dd7b1193d4610d818b56
MISC metadata.xml 645 BLAKE2B d6965f033a9f7b6e78c5b2dcadda6a036ec1becac8cdd4bf3a7d2a7d0739cca4b51c29f874eebedc963d5a54d1906dc18a8ba628e44b4d3d12c81c91f6f97b29 SHA512 d2f88066eb81f72611dd94b323c9d42dbdb02d0953cb43a06b991bc7b134cff85d86979aabc155dee463645ab984127bdebfa7ca125ba36febaea451dad39143
diff --git a/dev-python/quantities/quantities-0.14.0.ebuild b/dev-python/quantities/quantities-0.14.0.ebuild
new file mode 100644
index 000000000000..5df00e8a43cb
--- /dev/null
+++ b/dev-python/quantities/quantities-0.14.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+MY_P="python-quantities-${PV}"
+DESCRIPTION="Support for physical quantities with units, based on numpy"
+HOMEPAGE="
+ https://github.com/python-quantities/python-quantities/
+ https://pypi.org/project/quantities/
+"
+SRC_URI="
+ https://github.com/python-quantities/python-quantities/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.19[$PYTHON_USEDEP]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index e047931f3572..3c3da83e226c 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -1,5 +1,7 @@
DIST starlette-0.21.0.gh.tar.gz 2830353 BLAKE2B 7ff818d4687757ec8699dcd0e2582af78211787b7a0f2110da045eb4f7a8760262cf144b0af7dc9f72140b5dae1e65f7a4207ee3b165db4091c5139ce0bfcc85 SHA512 c246862604ba807141313857321d898d996eaa771ccb197546d0928a75cbb69f0e485fe90d2c817e70323146077c487436516384e1401d815c59c0ac75845e2b
DIST starlette-0.23.1.gh.tar.gz 2830865 BLAKE2B b1eaf59421d413179ad294b240babb9b1beabbf10d8364187eb406a3b87a1412b3959b90f44ac1bbada7858c3ffc90560208bc433ca5aaf835dda1766282fe65 SHA512 9af4ab2b2e3af4e7acd2e93a9a4b4f4c8c3b56ba971f7a8faf65308d76a4f30b8ab0ab263535480af614a5082420cafb3d939c7477472710cce9241bd947139b
+DIST starlette-0.24.0.gh.tar.gz 2834269 BLAKE2B 82e1ae2cd835015f20c5421254c0facbe16c1592d1f34e95d38c94898fb30e308dd32ab8bc1856c16d600074c86300afc4aa11e2617a94a29aad9dc4dd0fbdfc SHA512 6ff38cb48efd25183971ea4578dbbd7aff537d624fe2e2b9249551b9bf559dad05da949ec52d305bb0323e37c837212e3a804c7614884e5cd4b85260ec1435cc
EBUILD starlette-0.21.0-r1.ebuild 1076 BLAKE2B 6f6d698251b05f596260ad9c88d2f893e98647b817f275e305b1875f0f52dfc2e7abe92473ea16d7133aaf8458a6bbde024f1be5adc56dbc6774634691c37b62 SHA512 fe86cad02a7416a249a60279cbfed1e48f01d3a19550181faeb9d828addaa069fe991d86586d7cfc8e315c88fc46435a5be80c64e68053f3c6eb69ac4dd9f4c2
EBUILD starlette-0.23.1.ebuild 1110 BLAKE2B 82834427582baf6a076071128ef6c31f7c983889e3f3ac9e7a9ee330338ce598c0cd064c85705c488c0e12ce2781f29bba81a0abcd54dfa32e4791b835b9c4fd SHA512 58e19a84588c288060561e0a58639e39fbf990db6eb2d2de7e6c5d649db9515494bec3bd1256f6c48d9da574e11e70482a6710e45379f6293c46d1db8c279825
+EBUILD starlette-0.24.0.ebuild 1115 BLAKE2B f8c0a424aeacfc96d41820f0271952a0a4bf5a7a4e9cd82c6ea46a62b4ffdcdf9c4dc688b3b43919063549b9003b1451083f66b32f758c2b9c980c87e5066a46 SHA512 dcd2c36824e995317476044573223748fd07065435956f1dc82db91e539ef1e87798628dd5d61b04d6296edabdf6998b9346676489628f420587e2f6b94967b4
MISC metadata.xml 371 BLAKE2B 0ccaa4659e63162b565359a1cae05764bea66d708a5f4af1a4716ba9ba23faa39ab4f5a806c0a9783f3f42282ee9b98e22a92f2b308b8dfe97bbf9c770a8add1 SHA512 0fc326941861260becd4129c8a351e89ba0f98f9a3ce9b5d50812f0eaf667743ab0d403889aa1b0a2d9fcedbe0212ba879d165ec8edd115686d4768e6b1326ca
diff --git a/dev-python/starlette/starlette-0.24.0.ebuild b/dev-python/starlette/starlette-0.24.0.ebuild
new file mode 100644
index 000000000000..65f85b51857a
--- /dev/null
+++ b/dev-python/starlette/starlette-0.24.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+ https://www.starlette.io/
+ https://github.com/encode/starlette/
+ https://pypi.org/project/starlette/
+"
+SRC_URI="
+ https://github.com/encode/starlette/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/python-multipart[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-3.10.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Unpackaged 'databases' dependency
+ tests/test_database.py
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/sure/Manifest b/dev-python/sure/Manifest
index b69a0203b820..67b995046c10 100644
--- a/dev-python/sure/Manifest
+++ b/dev-python/sure/Manifest
@@ -1,3 +1,5 @@
DIST sure-2.0.0.tar.gz 46747 BLAKE2B 631923bf2fc0a972e276fbfd1918abbafec28e662669993b40ff8ca72944952d092ac662728f98a286fc9b5c8e3765d10a4d6ef1f17b17655802b971b97410af SHA512 8286846374c2bfc773444e90bf4f9c0b0d66d0229afa53af63025bfec690bf8bcc959f86c238ca5244c6a29099e955691771b0eb954af479bde2f17e51f6f1de
+DIST sure-2.0.1.tar.gz 48467 BLAKE2B 2143d073c09e46fa987c6d62ebf59aac61e1304079707cf517d7d1ee10303c21369517a1fc2836d8f1081ebbe7d9c3e68aa629d432f85622b9ff8eaab1dd2abc SHA512 f319685ebb1c00bb064bff3e86543789ec94c9a6a8192ca2e97da3513208f9cac66e9db44e945f68ab39eec696880a2c211627f9881623492946e1a14f2444f5
EBUILD sure-2.0.0-r1.ebuild 773 BLAKE2B 3280a244e6d8aed3c400039ae5a695d15de294292bb93bbe834cb8e932576b433228cd04fec69c75d354758cd1636cf8e5d853f4705ef3319c25c75f7052e3a1 SHA512 fa7448ae4b91349d601b580535479548dff271ef30c285094f7a6376ba05a738caee7bff94d707c1c3f211c6af55fbe3bd578124bf3305c33ab55f31e1b32c88
+EBUILD sure-2.0.1.ebuild 780 BLAKE2B f31c80c62fb02819b79b5129547038317ee17103b54b70fc428b82dc12ff9458a902ce6e264f724f475da16af56ec702caea3aa62b8a4b0f3510594d5d59b4cc SHA512 f69c13af7d134261a8633670eef2e148af22f71a570c4121eb9b5ac35a6c2079c58c38e7f283ef46c5e17a38737b582ebb82e3359c80c83283d2179921028e39
MISC metadata.xml 583 BLAKE2B 3a551f125c9df8f77a05b69cf54b30d94bace7869decb608b3685e06a7cb9f1462d4e674d06d59d84100e06ee95cce30a68c4777632bb0691397f1e6faaa26ef SHA512 57b87cbde1f34395fbd42bc8f7712aaf193aded2248815cb6919cb51387227f1cab46dd0d1595be9a55bdd131ac554e401366c3740c3d01782b8329a6f8e6588
diff --git a/dev-python/sure/sure-2.0.1.ebuild b/dev-python/sure/sure-2.0.1.ebuild
new file mode 100644
index 000000000000..73fb2e9471d0
--- /dev/null
+++ b/dev-python/sure/sure-2.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="idiomatic assertion toolkit with human-friendly failure messages"
+HOMEPAGE="
+ https://github.com/gabrielfalcao/sure/
+ https://pypi.org/project/sure/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # requires dev-python/nose
+ tests/test_old_api.py
+)
+
+src_prepare() {
+ sed -i -e 's:--cov=sure::' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 6e50b7b4fd75..2122c2f657fd 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,3 +1,5 @@
DIST translate-3.8.3.gh.tar.gz 1157587 BLAKE2B 4dc8ca9cb7f0040364ceeb6fae47d9189642e8383fb1c808713aeb82452690ffe5957c63d649994eae486efaa51aee664fa7b0bb199036d869a87d7a0bf21806 SHA512 ad5a814cc03ed0d41aeac60bea72133fcd47470ab254849647d674bc00b71f2afe1c0956891decc6906fafbd07c4e3d5efcf4212c0e449f3fb3fb4fdbee9aab8
+DIST translate-3.8.4.gh.tar.gz 1158012 BLAKE2B 37d26792b9382d318e359db3c7087cbf71a444c4f76c9b3fcec9311820ade1d3f346d7ff4b22983d6a49e0afd47b4277d2c0222e2982d56f52fcf7f655bd349b SHA512 28d452d9da1d1b400e88a30b9f997dd70ab2db5e6ae33a7882203bf6b59abf6bd315bee97c9f01de536dc752fde93429bb65aeb7b6386482193a68a472bd2e9a
EBUILD translate-toolkit-3.8.3.ebuild 2436 BLAKE2B c84859e2882719d6557918f1580a4a027ea586ae062f877baef0559cac641b59281abadfe9a1f888899778fa76babdb301e73796dff6fe03cea09161848bea2c SHA512 9f50a862bf8ff4129ff974c3ab1d4e4c3863585393aaf35fc1056c63fb6fda24485458e240abda227f5d995427e4796913b30e63b6bae5459f903c50f40384cf
+EBUILD translate-toolkit-3.8.4.ebuild 2439 BLAKE2B 76a7b69c12540271aaa50ee950a971c40dd6db7f9dd48b286d8ed17a133adffca050a77e16a2021bd0f5bf4de1fbc43576b12d54d19d4e1f6e6b8eed89387abb SHA512 48a037441d0f33e5f019dd406a13bf5da32dbc3ea25ce2e10bacbe2a422bd6b35feea56c684cfe9d747e6f711a94b8b00298763dbd8ba37b452c43ef5d529ab3
MISC metadata.xml 756 BLAKE2B 06f64f258d362954f99f7e9eee241eb3dddc6b00b9069df2ad977d28b5cf06f9c8ee2246ee5958600b5ac86297968d7aaced6b6420dca4ed507c441c58c61ca9 SHA512 80374c40513ca450f97e3930929c1450e7438ea15830e60937952a6fccfd999675f2ca2056c5aa4e287ba256c6ec08a09d8f7adb8b2c5af8ca0cd595f34acd85
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.8.4.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.8.4.ebuild
new file mode 100644
index 000000000000..5628bcd1f693
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.8.4.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/Levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # Apparently a change in line wrapping x_x
+ translate/storage/test_cpo.py::TestCPOFile::test_wrap_gettext
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 9ea2a9b707a7..5bba25771f6f 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,3 +1,5 @@
DIST xmlschema-2.1.1.tar.gz 482988 BLAKE2B 8bcd66518e99b6df96a48408830388cba33530b8787ab733f5710e8ebdee3243cbbe8968c25060396c4d0e577dd40ae2438dab7afae5958386c886f235b3d96c SHA512 2c55de21ab4aaba9f499a0b348e60a50939af41b5ce43787c339ce86e4067681acf28b155bfba90346b1e8d976c468ad0ca21f73f76afc55bd700b1866bba945
+DIST xmlschema-2.2.0.tar.gz 485104 BLAKE2B 3cafd67149043e8ee8a720afd08f4a37b343fcc245302d2754230e08a8c624f507cd1f8aca884e7d75717a9e794b936bf1c54b3d98a37f3ec687d97e3f6f919a SHA512 f613a8f49f3b373398e097017407cba4e6801886ef7ff479906d5180bd2a7020b2a2fb812aae444210b82ab2f8b12438b639c4418e2d5bedaa396fcaa69271f5
EBUILD xmlschema-2.1.1.ebuild 875 BLAKE2B 9ea0c3ed670fb3ff9a691674ba92f0b6482938b2fdfafa24cb9ef259a973e10ece77234f59c7925bea664896424efb48ac84c5d7d07023c31d9954dfa8af4ad3 SHA512 f4de540b7c50d7eaf831ec4d3a014acbf669d828a21b26172c5a859c9d69473800b54bd104e56b5d34f9d08d13b9803917695d3e5a2ccc56bb9d7e69d5c1884b
+EBUILD xmlschema-2.2.0.ebuild 883 BLAKE2B 9cf64f313a3539beda363090edf383ae0c0f93d703048d1de900b5ea94aba9c1cf0d6d97917cdf10d445a7b16c265b57ae647a6ce1e92a63d6e1ef9bbcee1016 SHA512 fef8c48de15abb5de59ae90d3b8393ec1a06256160269bc525489936b5030e18c40cc555b506ec268c18ed30f58f9e6b53c302fad18c28f5e8a9815f80d97432
MISC metadata.xml 376 BLAKE2B 6aa6c0ef38b17f49452a3db71c7f449dfda8951e2196b904235592921620b6a2064021aae7a1a30639e637c3b9bdb46bcaebec1903a081a41832bd0c5199dde9 SHA512 b814209cd4b87ad5cb8bc447f1d485043d8386339607f39575faf2d26c19b69befa9fd7b7eb2d3fca4b5e60499091a59c1466cfc2f0d9651430949893e2edaeb
diff --git a/dev-python/xmlschema/xmlschema-2.2.0.ebuild b/dev-python/xmlschema/xmlschema-2.2.0.ebuild
new file mode 100644
index 000000000000..ccc61f19eb6c
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-2.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}